summaryrefslogtreecommitdiffstats
path: root/build_tools
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-05-11 01:50:00 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-05-11 01:50:00 (GMT)
commit4e4bb148083773a7b42ba09deddc91b74866f138 (patch)
tree2c46920dd5d3f169a5738fa1703e34207b98b733 /build_tools
parentb173e508bfe419789a0a3ce0b67fbbd1a9fc2249 (diff)
parent703b80388faaab775c94f935017c33e45bc46c25 (diff)
downloadlinhes_dev-4e4bb148083773a7b42ba09deddc91b74866f138.zip
Merge branch 'HEAD' of ssh://cesman@knoppmyth.net/mount/repository/LinHES-dev
Diffstat (limited to 'build_tools')
-rwxr-xr-xbuild_tools/bin/mp72
-rw-r--r--build_tools/clarch/larch/profiles/i686-testing-REMOTE/cache_packs35
-rw-r--r--build_tools/clarch/larch/profiles/i686-testing-local-httpd/cache_packs35
-rw-r--r--build_tools/clarch/larch/profiles/i686-testing-local/cache_packs35
4 files changed, 170 insertions, 7 deletions
diff --git a/build_tools/bin/mp b/build_tools/bin/mp
index 884fece..151980c 100755
--- a/build_tools/bin/mp
+++ b/build_tools/bin/mp
@@ -8,9 +8,8 @@
PKGHOME=/data/pkg_repo/packages
SRCPKGHOME=/data/pkg_repo/src_packages
mydir=`pwd`
-TOTALPKG="$pkgname"-"$pkgver"-"$pkgrel"-"$CARCH".pkg.tar.gz
-SRCPKG="$pkgname"-"$pkgver"-"$pkgrel".src.tar.gz
-
+repolist="core extra"
+cmdline=$@
if [ x`basename $0` = xmpr ]
then
PFIX=""
@@ -18,6 +17,30 @@ else
PFIX="-testing"
fi
+function bump {
+ echo x$cmdline | grep -q \\-b
+ if [ $? = 0 ]
+ then
+ cmdline=`echo $cmdline|sed -e "s/-b//g"`
+ i="PKGBUILD"
+ #getting pkgrel number after =
+ package_pkgrel=`cat $i | grep pkgrel= | cut -d'=' -f 2`
+
+ #extract number before dot in pkgrel
+ beforedot=`echo $package_pkgrel | cut -n -d'.' -f 1`
+
+ #add 1 to pkgrel
+ new_pkgrel=$[$beforedot+1]
+
+ #write it back to PKGBUILD
+ sed -i "s:pkgrel=${package_pkgrel}:pkgrel=${new_pkgrel}:g" $i
+ echo "bumped $pkgname release from $package_pkgrel to $new_pkgrel"
+ . PKGBUILD
+ fi
+ TOTALPKG="$pkgname"-"$pkgver"-"$pkgrel"-"$CARCH".pkg.tar.gz
+ SRCPKG="$pkgname"-"$pkgver"-"$pkgrel".src.tar.gz
+
+}
@@ -57,8 +80,6 @@ function find_repo {
function update-repo {
-
-
cd $DOCROOT
echo
echo "DOCROOT=$DOCROOT"
@@ -67,7 +88,7 @@ function update-repo {
DELPKG="$pkgname"-"$pkgver"-*-"$CARCH".pkg.tar.gz
#echo $DOCROOT
#echo $DELPKG
- echo "Removing old packages from:"
+ echo "Removing old packages from $CARCH/$REPO:"
rm -fvI $DELPKG
#copy in new package
echo
@@ -92,12 +113,49 @@ function update-src-pkg {
cp -f $PKGHOME/$SRCPKG $SRCPKGHOME/$REPO
}
+function dup_check {
+
+ if [ $REPO = "local" -o $REPO = "mv-core" ]
+ then
+ return
+ fi
+
+ for i in $repolist
+ do
+ if [ ! $i$PFIX = $REPO ]
+ then
+ out=`pacman -Sl $i$PFIX|grep $pkgname`
+ if [ $? = 0 ]
+ then
+ echo "#######################################"
+ echo "$pkgname already exists in $i$PFIX"
+ echo " "$out
+ echo
+
+ echo x$cmdline|grep -q \\-f
+ if [ $? = 0 ]
+ then
+ echo "Force detected, making pkg anyhow"
+ echo "#######################################"
+ return
+ else
+ echo "#######################################"
+ exit 2
+ fi
+ fi
+ fi
+ done
+
+}
#MAIN PROGRAM
find_repo
+dup_check
+bump
+echo "---------------"
-makepkg --asroot $@ || exit 1
+makepkg --asroot $cmdline || exit 1
echo "---------updating database ----------"
update-repo #&& pacman -Sy
echo "----------creating source package---------"
diff --git a/build_tools/clarch/larch/profiles/i686-testing-REMOTE/cache_packs b/build_tools/clarch/larch/profiles/i686-testing-REMOTE/cache_packs
index ee4f3d1..a121a8d 100644
--- a/build_tools/clarch/larch/profiles/i686-testing-REMOTE/cache_packs
+++ b/build_tools/clarch/larch/profiles/i686-testing-REMOTE/cache_packs
@@ -17,3 +17,38 @@ mythvodka
oss
xscreensaver
tightvnc
+#added from error log
+mysql
+mythnews
+pycairo
+pygobject
+python-numeric
+pygtk
+fam
+sqlite3
+xe
+romdb
+gconf
+gnome-keyring
+gnome-mime-data
+gnome-python
+gnome-python-extras
+gnome-vfs
+hunspell
+libbonobo
+libbonoboui
+libgnome
+libgnomecanvas
+libgnomeui
+libidl2
+miro
+mozilla-common
+nspr
+nss
+orbit2
+policykit
+pyorbit
+pyrex
+startup-notification
+xulrunner
+mythmovies
diff --git a/build_tools/clarch/larch/profiles/i686-testing-local-httpd/cache_packs b/build_tools/clarch/larch/profiles/i686-testing-local-httpd/cache_packs
index ee4f3d1..a121a8d 100644
--- a/build_tools/clarch/larch/profiles/i686-testing-local-httpd/cache_packs
+++ b/build_tools/clarch/larch/profiles/i686-testing-local-httpd/cache_packs
@@ -17,3 +17,38 @@ mythvodka
oss
xscreensaver
tightvnc
+#added from error log
+mysql
+mythnews
+pycairo
+pygobject
+python-numeric
+pygtk
+fam
+sqlite3
+xe
+romdb
+gconf
+gnome-keyring
+gnome-mime-data
+gnome-python
+gnome-python-extras
+gnome-vfs
+hunspell
+libbonobo
+libbonoboui
+libgnome
+libgnomecanvas
+libgnomeui
+libidl2
+miro
+mozilla-common
+nspr
+nss
+orbit2
+policykit
+pyorbit
+pyrex
+startup-notification
+xulrunner
+mythmovies
diff --git a/build_tools/clarch/larch/profiles/i686-testing-local/cache_packs b/build_tools/clarch/larch/profiles/i686-testing-local/cache_packs
index ee4f3d1..a121a8d 100644
--- a/build_tools/clarch/larch/profiles/i686-testing-local/cache_packs
+++ b/build_tools/clarch/larch/profiles/i686-testing-local/cache_packs
@@ -17,3 +17,38 @@ mythvodka
oss
xscreensaver
tightvnc
+#added from error log
+mysql
+mythnews
+pycairo
+pygobject
+python-numeric
+pygtk
+fam
+sqlite3
+xe
+romdb
+gconf
+gnome-keyring
+gnome-mime-data
+gnome-python
+gnome-python-extras
+gnome-vfs
+hunspell
+libbonobo
+libbonoboui
+libgnome
+libgnomecanvas
+libgnomeui
+libidl2
+miro
+mozilla-common
+nspr
+nss
+orbit2
+policykit
+pyorbit
+pyrex
+startup-notification
+xulrunner
+mythmovies